package io.modules.item.service;

import io.common.service.CrudService;
import io.modules.item.dto.ItemDTO;
import io.modules.item.entity.ItemEntity;

import java.util.List;
import java.util.Map;

/**
 * 主表
 */
public interface ItemService extends CrudService<ItemEntity, ItemDTO> {

    List<ItemEntity> score();

    List<Object> query();

    List<Map<String, Object>> view();

    List<ItemEntity> commit();

    List<ItemEntity> listUser( Long userId);
}
